import request from '@/utils/httpRequest'

export default class WorkContractService {
  list (param) {
    return request({
      url: '/workContract/workContractInfo/list',
      method: 'get',
      params: param
    })
  }
  save (param) {
    return request({
      url: '/workContract/workContractInfo/save',
      method: 'post',
      data: param
    })
  }
  remove (url) {
    return request({
      url: '/workContract/workContractInfo/remove',
      method: 'get',
      params: {id: url}
    })
  }
  findById (id) {
    return request({
      url: '/workContract/workContractInfo/findById',
      method: 'get',
      params: {id: id}
    })
  }
  updateStatusById (param) {
    return request({
      url: '/workContract/workContractInfo/updateStatusById',
      method: 'post',
      data: param
    })
  }
}
